=== data/CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 install(
 	DIRECTORY
-		themes
+		libusermetrics
 	DESTINATION
-		"${CMAKE_INSTALL_DATADIR}/libusermetrics"
+		${CMAKE_INSTALL_DATADIR}
 )
 
 ###########################
