=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 add_definitions(-DTEST_LOCALEDIR="${CMAKE_CURRENT_BINARY_DIR}/data")
 add_definitions(-DTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
 
-add_definitions(-DUSERMETRICS_TEST_COLOR_BASEDIR="${DATA_DIR}/themes")
+add_definitions(-DDATA_DIR="${DATA_DIR}")
 
 add_subdirectory(data)
 add_subdirectory(integration)
