=== tests/unit/CMakeLists.txt ===
include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

add_subdirectory(libusermetricsinput)
add_subdirectory(libusermetricsoutput)
add_subdirectory(usermetricsservice)
add_subdirectory(qml)
