## libusermetrics 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,14 +42,25 @@
 find_package(Qt5Qml REQUIRED)
 include_directories(${Qt5Qml_INCLUDE_DIRS})
 
+find_package(Qt5Quick REQUIRED)
+include_directories(${Qt5Quick_INCLUDE_DIRS})
+
+find_package(Qt5QuickTest REQUIRED)
+include_directories(${Qt5QuickTest_INCLUDE_DIRS})
+
+find_package(Intl REQUIRED)
+
 pkg_check_modules(GLIB2 REQUIRED glib-2.0)
 include_directories(${GLIB2_INCLUDE_DIRS})
 
 pkg_check_modules(GOBJECT2 REQUIRED gobject-2.0)
 include_directories(${GOBJECT2_INCLUDE_DIRS})
 
-pkg_check_modules(CLICK REQUIRED click-0.4 REQUIRED)
+pkg_check_modules(CLICK click-0.4)
 include_directories(${CLICK_INCLUDE_DIRS})
+if(${CLICK_FOUND})
+  add_definitions(-DCLICK_ENABLED=${CLICK_FOUND})
+endif(${CLICK_FOUND})
 
 pkg_check_modules(QDJANGO_DB REQUIRED qdjango-db REQUIRED)
 include_directories(${QDJANGO_DB_INCLUDE_DIRS})
@@ -77,6 +88,11 @@
 if (EXISTS "/etc/debian_version") 
   set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
   set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
+endif()
+
+# FIX: Qt was built with -reduce-relocations
+if (Qt5_POSITION_INDEPENDENT_CODE)
+  SET(CMAKE_POSITION_INDEPENDENT_CODE ON)
 endif()
 
 add_definitions(
