=== src/modules/CMakeLists.txt ===
add_subdirectory("UserMetrics")
