=== tests/integration/CMakeLists.txt ===
add_subdirectory(libusermetricsinput)
add_subdirectory(libusermetricsoutput)
