=== tests/data/en_FAKELANG/CMakeLists.txt ===

add_subdirectory(LC_MESSAGES)
