=== tests/unit/libusermetricsinput/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	${GMOCK_LIBRARIES}
 )
 
-add_valgrind_test(
+add_test(
 	usermetricsinput-unit-tests
 	usermetricsinput-unit-tests
 )
