=== debian/changelog ===
libusermetrics (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Add B-D pkg-kde-tools.
    + Bump Standards-Version: 4.6.0. No changes needed.
  * debian/rules:
    + DH build with pkgkde_symbolshelper support.
  * debian/*.symbols:
    + Re-create .symbols files with pkgkde-symbolshelper.
    + Add missing Build-Depends-Package: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:51:40 +0100

libusermetrics (1.2.0-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #986125).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Apr 2021 13:26:00 +0200
