=== debian/control ===
Source: libusermetrics
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               debhelper-compat (= 13),
               doxygen,
               gcovr,
               googletest | google-mock (>= 1.6.0+svn437),
               intltool,
               lcov,
               libapparmor-dev,
               libclick-dev,
               libgsettings-qt-dev,
               libgtest-dev,
               libqdjango-dev,
               libqt5sql5-sqlite,
               libqt5xmlpatterns5-dev,
               libqtdbustest1-dev,
               pkg-config,
               pkg-kde-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               qtbase5-dev,
               qtdeclarative5-dev,
               sqlite3,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/libusermetrics
Vcs-Git: https://salsa.debian.org/ubports-team/libusermetrics.git
Vcs-Browser: https://salsa.debian.org/ubports-team/libusermetrics/

Package: usermetricsservice
Architecture: any
Multi-Arch: foreign
Depends: adduser,
         dbus,
         libqt5sql5-sqlite,
         sqlite3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: service exporting anonymous metrics about users
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contains the service which stores the metrics.

Package: libusermetricsinput-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libusermetricsinput1 (= ${binary:Version}),
         ${misc:Depends},
Description: input library for exporting anonymous metrics about users (header files)
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contains libusermetricsinput header files that are needed
 to build applications.

Package: libusermetricsinput1
Architecture: any
Multi-Arch: same
Depends: gettext,
         usermetricsservice (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: input library for exporting anonymous metrics about users
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contain the libusermetricsinput shared library to be
 used by applications.

Package: libusermetricsoutput-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libusermetricsoutput1 (= ${binary:Version}),
         ${misc:Depends},
Description: output library for retrieving anonymous metrics about users (header files)
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contains libusermetricsoutput header files that are needed
 to build applications.

Package: libusermetricsoutput1
Architecture: any
Multi-Arch: same
Depends: usermetricsservice (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: output library for retrieving anonymous metrics about users
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contain the libusermetricsoutput shared library to be
 used by applications.

Package: libusermetrics-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: API documentation for libusermetrics
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package installs the libusermetrics API documentation.

Package: libusermetrics-tools
Architecture: any
Depends: libusermetricsinput1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for exporting anonymous metrics about users (cmdline tools)
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 This package contains command line tools to operate the library.

Package: qml-module-usermetrics
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
         libusermetricsinput1 (= ${binary:Version}),
Description: QML bindings for libusermetrics
 Libusermetrics enables apps to locally store interesting numerical data
 for later presentation.  For example in the Ubuntu Greeter "flower"
 infographic.
 .
  - All data is stored locally in /var/usermetrics/.
  - No data is centrally collected via a web-serivice or otherwise, and
    no data is sent over the internet.
 .
 The only data that can be stored is numerical, for example "number of
 e-mails" or "number of pictures taken". No personally identifying
 information is stored using this library.
 .
 The Libusermetrics components are used by the Lomiri Operating
 Environment.
 .
 A set of bindings allowing the use of libusermetrics from QML applications.
