## libusermetrics 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-project(libusermetrics CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5.)
+
+project(libusermetrics VERSION 1.3.0 LANGUAGES CXX)
 
 option (ENABLE_TESTS "Enable testing" ON)
 
@@ -56,11 +57,12 @@
 pkg_check_modules(GOBJECT2 REQUIRED gobject-2.0)
 include_directories(${GOBJECT2_INCLUDE_DIRS})
 
-pkg_check_modules(CLICK click-0.4)
-include_directories(${CLICK_INCLUDE_DIRS})
-if(${CLICK_FOUND})
-  add_definitions(-DCLICK_ENABLED=${CLICK_FOUND})
-endif(${CLICK_FOUND})
+option(ENABLE_CLICK "Build with support for click packages" ON)
+if(${ENABLE_CLICK})
+  pkg_check_modules(CLICK click-0.4 REQUIRED)
+  include_directories(${CLICK_INCLUDE_DIRS})
+  add_definitions(-DCLICK_ENABLED=1)
+endif(${ENABLE_CLICK})
 
 pkg_check_modules(QDJANGO_DB REQUIRED qdjango-db REQUIRED)
 include_directories(${QDJANGO_DB_INCLUDE_DIRS})
@@ -83,12 +85,6 @@
 
 
 include(GNUInstallDirs)
-
-# Workaround for libexecdir on debian
-if (EXISTS "/etc/debian_version") 
-  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
-  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
-endif()
 
 # FIX: Qt was built with -reduce-relocations
 if (Qt5_POSITION_INDEPENDENT_CODE)
