=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Settings
 ###########################
 
-add_schema("com.canonical.UserMetrics.gschema.xml")
+add_schema("com.lomiri.UserMetrics.gschema.xml")
 
 install(
 	DIRECTORY
@@ -24,7 +24,7 @@
 
 install(
 	FILES
-	"com.canonical.UserMetrics.conf"
+	"com.lomiri.UserMetrics.conf"
 	DESTINATION ${DBUSCONFDIR}
 )
 
@@ -39,10 +39,10 @@
 
 install(
 	FILES
-	com.canonical.usermetrics.DataSet.xml
-	com.canonical.usermetrics.DataSource.xml
-	com.canonical.usermetrics.UserData.xml
-	com.canonical.UserMetrics.xml
+	com.lomiri.usermetrics.DataSet.xml
+	com.lomiri.usermetrics.DataSource.xml
+	com.lomiri.usermetrics.UserData.xml
+	com.lomiri.UserMetrics.xml
 	DESTINATION ${DBUSIFACEDIR}
 )
 
@@ -56,11 +56,11 @@
 )
 
 set(USERMETRICS_SERVICE
-	"${CMAKE_CURRENT_BINARY_DIR}/com.canonical.UserMetrics.service"
+	"${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.UserMetrics.service"
 )
 
 configure_file(
-	"com.canonical.UserMetrics.service.in"
+	"com.lomiri.UserMetrics.service.in"
 	${USERMETRICS_SERVICE}
 	@ONLY
 )
