=== src/libusermetricsinput/CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 )
 
 set(USERMETRICS_INPUT_DEPENDENCIES
-	Core
-	DBus
+	Qt5::Core
+	Qt5::DBus
 )
 
 # Static library version of libusermetricsinput
@@ -36,13 +36,9 @@
 	${USERMETRICSINPUT_SOURCES}
 )
 
-qt5_use_modules(
+target_link_libraries(
 	usermetricsinput-static
 	${USERMETRICS_INPUT_DEPENDENCIES}
-)
-
-target_link_libraries(
-	usermetricsinput-static
 	usermetricscommon
 	${Gettext_LIBRARIES}
 )
@@ -71,14 +67,11 @@
 	"${INCLUDE_BINARY_DIR}/libusermetricsinput/${EXPORT_FILE_NAME}"
 )
 
-qt5_use_modules(
+target_link_libraries(
 	usermetricsinput
 	${USERMETRICS_INPUT_DEPENDENCIES}
-)
-
-target_link_libraries(
-	usermetricsinput
 	usermetricscommon
+	${Intl_LIBRARIES}
 )
 
 set_target_properties(
@@ -125,13 +118,9 @@
   RUNTIME DESTINATION bin
 )
 
-qt5_use_modules(
-	usermetricsinput-bin
-	Core
-)
-
 target_link_libraries(
 	usermetricsinput-bin
+	Qt5::Core
 	usermetricsinput
 )
 
@@ -149,13 +138,10 @@
   RUNTIME DESTINATION bin
 )
 
-qt5_use_modules(
+target_link_libraries(
 	usermetricsinput-increment
-	Core
+	Qt5::Core
+	usermetricsinput
+	${Intl_LIBRARIES}
 )
 
-target_link_libraries(
-	usermetricsinput-increment
-	usermetricsinput
-)
-
