=== debian/changelog ===
libusermetrics (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_no-debian-specific-libexecdir.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * lintian: Adjust overrides to new syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 01:40:41 +0100

libusermetrics (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Upload into unstable. (Closes: #1020071)
    + Build failure was not reproducible.

 -- Anton Gladky <gladk@debian.org>  Tue, 11 Oct 2022 22:26:42 +0200

libusermetrics (1.2.0-3~exp1) experimental; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * debian/:
    + Update upstream Git repo URL.

  [ Anton Gladky ]
  * debian/control:
    + Set Standards-Versions to 4.6.1.
    + Minor field-reorganization.
    + Set upstream metadata fields: Repository.

 -- Anton Gladky <gladk@debian.org>  Tue, 11 Oct 2022 06:22:47 +0200
