=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libusermetrics
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
-               cmake-extras (>= 0.10),
+               cmake-extras,
                dbus,
                debhelper-compat (= 13),
                doxygen,
                gcovr,
-               googletest | google-mock (>= 1.6.0+svn437),
+               googletest | google-mock,
                intltool,
                lcov,
                libapparmor-dev,
@@ -27,12 +26,12 @@
                qml-module-qttest,
                qtbase5-dev,
                qtdeclarative5-dev,
-               sqlite3,
-Standards-Version: 4.6.0
+               sqlite3
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/ubports-team/libusermetrics/
+Vcs-Git: https://salsa.debian.org/ubports-team/libusermetrics.git
+Homepage: https://gitlab.com/ubports/development/core/libusermetrics
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/libusermetrics
-Vcs-Git: https://salsa.debian.org/ubports-team/libusermetrics.git
-Vcs-Browser: https://salsa.debian.org/ubports-team/libusermetrics/
 
 Package: usermetricsservice
 Architecture: any
@@ -42,7 +41,7 @@
          libqt5sql5-sqlite,
          sqlite3,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: service exporting anonymous metrics about users
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -62,11 +61,11 @@
  This package contains the service which stores the metrics.
 
 Package: libusermetricsinput-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
-Multi-Arch: same
 Depends: libusermetricsinput1 (= ${binary:Version}),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: input library for exporting anonymous metrics about users (header files)
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -92,8 +91,8 @@
 Depends: gettext,
          usermetricsservice (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: input library for exporting anonymous metrics about users
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -114,11 +113,11 @@
  used by applications.
 
 Package: libusermetricsoutput-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
-Multi-Arch: same
 Depends: libusermetricsoutput1 (= ${binary:Version}),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: output library for retrieving anonymous metrics about users (header files)
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -143,8 +142,8 @@
 Multi-Arch: same
 Depends: usermetricsservice (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: output library for retrieving anonymous metrics about users
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -165,9 +164,9 @@
  used by applications.
 
 Package: libusermetrics-doc
+Architecture: all
 Section: doc
-Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: API documentation for libusermetrics
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
@@ -214,7 +213,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          qml-module-qtquick2,
-         libusermetricsinput1 (= ${binary:Version}),
+         libusermetricsinput1 (= ${binary:Version})
 Description: QML bindings for libusermetrics
  Libusermetrics enables apps to locally store interesting numerical data
  for later presentation.  For example in the Ubuntu Greeter "flower"
