=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/libusermetrics/tags .*/libusermetrics-(\d\S+)\.tar\.gz
